---
title: "secret"
description: "The secret command description and usage"
keywords: "secret"
---

# secret

```markdown
Usage:  docker secret COMMAND

Manage Swarm secrets

Options:
      --help   Print usage

Commands:
  create      Create a secret from a file or STDIN as content
  inspect     Display detailed information on one or more secrets
  ls          List secrets
  rm          Remove one or more secrets

Run 'docker secret COMMAND --help' for more information on a command.

```

## Description

Manage secrets.

## Related commands

* [secret create](secret_create.md)
* [secret inspect](secret_inspect.md)
* [secret list](secret_ls.md)
* [secret rm](secret_rm.md)
